# QTextTable Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextFrame.

### Constructor

- void QTextTable(QTextDocument doc)

### Constructor Properties

- prototype: The QTextTable prototype object

### Prototype Object Properties

The QTextTable prototype object inherits properties from the QTextFrame prototype object and also has the following properties.

- void appendColumns(int count)
- void appendRows(int count)
- QTextTableCell cellAt(QTextCursor c)
- int columns()
- void insertColumns(int pos, int num)
- void insertRows(int pos, int num)
- void mergeCells(QTextCursor cursor)
- void removeColumns(int pos, int num)
- void removeRows(int pos, int num)
- void resize(int rows, int cols)
- QTextCursor rowEnd(QTextCursor c)
- QTextCursor rowStart(QTextCursor c)
- int rows()
- void setFormat(QTextTableFormat format)
- void splitCell(int row, int col, int numRows, int numCols)
- QTextTableFormat tableFormat()

### Instance Properties

QTextTable objects have no special properties beyond those inherited from the QTextTable prototype object.